Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Member Functions | Protected Attributes
tlp::GlMainWidgetGraphicsView Class Reference

Class use to create a QGraphicsView with GlMainWidget inside. More...

`#include <GlMainWidgetGraphicsView.h>`

Collaboration diagram for tlp::GlMainWidgetGraphicsView:
[legend]

List of all members.

## Public Member Functions

- GlMainWidgetGraphicsView (QWidget *parent, GlMainWidget *glMainWidget)
- ~GlMainWidgetGraphicsView ()
- void draw (bool glSceneChanged=true)
- void redraw ()
- QGLWidget * getViewportWidget () const
- GlMainWidgetItem * getGlMainWidgetItem () const
- void setCentralWidget (QWidget *widget)

## Protected Member Functions

- void resizeEvent (QResizeEvent *event)

## Protected Attributes

- GlMainWidgetItem * glSceneItem
- GlMainWidget * glMainWidget
- QGLWidget * viewportWidet
- bool drawNeeded
- QGraphicsProxyWidget * centralWidgetItem

## Detailed Description

Class use to create a QGraphicsView with GlMainWidget inside.

Use this class if you want a view with QGraphicsView system and if you want to render a GlMainWidget inside

## Constructor & Destructor Documentation

tlp::GlMainWidgetGraphicsView::GlMainWidgetGraphicsView | ( | QWidget * | parent,
|  | GlMainWidget * | glMainWidget
| ) |  |

Main constructor

Parameters:

  parent | widget
  glMainWidget | GlMainWidget who will be add on this view

tlp::GlMainWidgetGraphicsView::~GlMainWidgetGraphicsView | ( |  | ) |

## Member Function Documentation

void tlp::GlMainWidgetGraphicsView::draw | ( | bool | glSceneChanged = `true` | ) |

This function is call when controller need to draw this view

GlMainWidgetItem* tlp::GlMainWidgetGraphicsView::getGlMainWidgetItem | ( |  | ) | const`[inline]`

QGLWidget* tlp::GlMainWidgetGraphicsView::getViewportWidget | ( |  | ) | const`[inline]`

void tlp::GlMainWidgetGraphicsView::redraw | ( |  | ) |

This function is call when controller need to redraw this view

void tlp::GlMainWidgetGraphicsView::resizeEvent | ( | QResizeEvent * | event | ) | `[protected]`

void tlp::GlMainWidgetGraphicsView::setCentralWidget | ( | QWidget * | widget | ) |

## Member Data Documentation

QGraphicsProxyWidget* tlp::GlMainWidgetGraphicsView::centralWidgetItem`[protected]`

bool tlp::GlMainWidgetGraphicsView::drawNeeded`[protected]`

GlMainWidget* tlp::GlMainWidgetGraphicsView::glMainWidget`[protected]`

GlMainWidgetItem* tlp::GlMainWidgetGraphicsView::glSceneItem`[protected]`

QGLWidget* tlp::GlMainWidgetGraphicsView::viewportWidet`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012